Retrieve a list of pronoun sets Run in API Explorer
Ask AI
Get a list of all available pronouns.
GET
/pronouns
curl \
--request GET 'https://pronoms.fr/api/public/v3/pronouns' \
--header "Accept: application/json"
Response examples (200)
[
{
"canonicalName": "he",
"description": "Normative “he/him”",
"normative": true,
"morphemes": {
"pronoun_subject": "he",
"pronoun_object": "him",
"possessive_determiner": "his",
"possessive_pronoun": "his",
"reflexive": "himself"
},
"pronunciations": {},
"plural": false,
"pluralHonorific": false,
"aliases": [
"he/him"
],
"history": "",
"pronounceable": true,
"thirdForm": null,
"smallForm": null,
"sourcesInfo": null,
"nullPronoun": false,
"examples": [
"I think he is very nice.",
"I met him recently.",
"Is this his dog?",
"He told me that the house is his.",
"He said he would rather do it himself.",
"He is really beautiful.",
"He answered the phone.",
"He takes good care of his cat.",
"He did it all by himself.",
"He talks in his sleep.",
"He landed the plane safely.",
"He argues that…",
"Did you buy him his gift?",
"I asked him if I can borrow his pencil.",
"I talked to him yesterday.",
"Would you like to go to the movies with him?",
"Can you call him when his cat awakes?",
"His graduation starts soon.",
"My favorite color is purple, his is yellow."
],
"name": "he/him"
}
]
Response examples (default)
Bad Request (400)
The request contains invalid content
{
"error": true,
"statusCode": 400,
"statusMessage": "Bad Request",
"message": "XYZ contains an invalid value",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
"error": true,
"statusCode": 401,
"statusMessage": "Unauthorised",
"message": "You are not authorised to access this content",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
"error": true,
"statusCode": 404,
"statusMessage": "Not Found",
"message": "Requested Item Not Found",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
"error": true,
"statusCode": 410,
"statusMessage": "Gone",
"message": "v1 has been marked as depreciated; please use v2 or v3",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
"error": true,
"statusCode": 500,
"statusMessage": "Server Error",
"message": "An unknown server error has occured, please try again later",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}